"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _default = (expressionPath, {
  staticTruthCheck
}) => {
  if (!staticTruthCheck) return;
  const truthy = expressionPath.evaluateTruthy();

  if (truthy !== undefined) {
    throw expressionPath.buildCodeFrameError(`Expression statement in assertion is always ${truthy ? 'truthy' : 'falsy'}`);
  }
};

exports.default = _default;